/**
 * 版权所有 ©2021 莱欧有限公司
 * 工程名：yearBooks
 * 文件名：CommentService.java
 * 创建日期：2021年10月21日 上午9:38:15
 * 作者：mt.W
 */
package com.lion.service;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.lion.dao.CommentDao;
import com.lion.util.TimeUtil;
import com.lion.util.Util;

/**
 * 类描述  共用方法service
 * @author mt.W
 * @since 2021年10月21日
 */
@Service
public class CommentService {

	@Autowired
	private CommentDao dao;
	
	public Map<String, Object> loadYears(String tableName){
		List<Map<String,Object>> list = dao.loadYears(tableName);
		if(list.size()==0){
			Map<String,Object> map = new HashMap<String, Object>();
			map.put("year", TimeUtil.getNowTime().substring(0,4));
			list.add(map);
		}
		return Util.responseMap("true", list);
	}
}
